New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Use yajl-ruby 1.2.2 (now with 2.4 support) #6007

Merged
merged 1 commit into from Apr 5, 2017

Conversation

Projects
None yet
4 participants
@parkr
Member

parkr commented Apr 5, 2017

@brianmario graciously merged brianmario/yajl-ruby#173 and shipped a new version of yajl-ruby in the 1.2 series to support Ruby 2.4.

This allows us to continue to use pygments.rb < 1.x so Windows users can still use Pygments if so desired.

@parkr parkr added the fix label Apr 5, 2017

@DirtyF

DirtyF approved these changes Apr 5, 2017

Cool

@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Apr 5, 2017

Member

@jekyllbot: merge +dev

Member

parkr commented Apr 5, 2017

@jekyllbot: merge +dev

@jekyllbot jekyllbot merged commit 5f19b1a into master Apr 5, 2017

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@jekyllbot jekyllbot deleted the yajl-ruby-1-2-2 branch Apr 5, 2017

jekyllbot added a commit that referenced this pull request Apr 5, 2017

@pathawks

This comment has been minimized.

Show comment
Hide comment
@pathawks

pathawks Apr 6, 2017

Member

Now I can't run bundle update 😕

$ bundle update
Fetching https://github.com/parkr/yajl-ruby
fatal: Needed a single revision
Revision 1.2.x-unify-fixnum-to-integer does not exist in the repository https://github.com/parkr/yajl-ruby. Maybe you misspelled it?

Update: Sorry. Unrelated. Nevermind.

Member

pathawks commented Apr 6, 2017

Now I can't run bundle update 😕

$ bundle update
Fetching https://github.com/parkr/yajl-ruby
fatal: Needed a single revision
Revision 1.2.x-unify-fixnum-to-integer does not exist in the repository https://github.com/parkr/yajl-ruby. Maybe you misspelled it?

Update: Sorry. Unrelated. Nevermind.

DirtyF added a commit to DirtyF/jekyll that referenced this pull request Apr 7, 2017

DirtyF added a commit to DirtyF/jekyll that referenced this pull request Apr 7, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment